[DRE-commits] r2269 - tools

lucas at alioth.debian.org lucas at alioth.debian.org
Thu Dec 13 20:03:26 UTC 2007


Author: lucas
Date: 2007-12-13 20:03:26 +0000 (Thu, 13 Dec 2007)
New Revision: 2269

Added:
   tools/check-changelog.bash
Log:
Added script to check version in repository vs version in Debian


Added: tools/check-changelog.bash
===================================================================
--- tools/check-changelog.bash	                        (rev 0)
+++ tools/check-changelog.bash	2007-12-13 20:03:26 UTC (rev 2269)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ "$(basename $(pwd))" != "packages" ]; then
+	echo "Please run this from the 'packages' dir!"
+	exit 1
+fi
+
+f=$(mktemp)
+
+for i in *; do
+	[ -d "$i" ] || continue
+	dpkg-parsechangelog -l"$i/trunk/debian/changelog" > $f
+	ver=$(grep "^Version:" $f | cut -d ' ' -f 2)
+	dist=$(grep "^Distribution:" $f | cut -d ' ' -f 2)
+	if [ "$dist" != "UNRELEASED" ];then
+		echo "W: $i : wrong distribution $dist"
+	fi
+	for dver in $(apt-cache showsrc $i | grep "^Version:" | cut -d ' ' -f 2 ); do
+		if dpkg --compare-versions $ver le $dver; then
+			echo "E: $i : $dver in Debian, $ver in repository."
+		fi
+	done
+done
+rm $f


Property changes on: tools/check-changelog.bash
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-ruby-extras-commits mailing list